## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTNodeConverter

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.ast.ASTNodeConverter

All Implemented Interfaces:
  NodeConverter

    public class ASTNodeConverter

extends java.lang.Object
implements NodeConverter

Nested Class Summary
`protected class` `ASTNodeConverter.Converter` Base class for all converters.
`protected class` `ASTNodeConverter.EnumToTypeConverter` Converter of enum to class.
`protected class` `ASTNodeConverter.TypeToEnumConverter` Converter of type to enum.

Field Summary
`protected ASTFacadeHelper` `facadeHelper`

Constructor Summary
`ASTNodeConverter(ASTFacadeHelper facadeHelper)`

Method Summary
`JAbstractType` `convert(JAbstractType abstractType, java.lang.Class<? extends JAbstractType> cls)` Converts the specified abstract type to an instance of the given class and returns the converted node.
`ASTFacadeHelper` `getFacadeHelper()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### facadeHelper

    protected ASTFacadeHelper facadeHelper

Constructor Detail

### ASTNodeConverter

    public ASTNodeConverter(ASTFacadeHelper facadeHelper)

Parameters:
  `facadeHelper` - must be not `null`

Method Detail

### getFacadeHelper

    public ASTFacadeHelper getFacadeHelper()

### convert

    public JAbstractType convert(JAbstractType abstractType,
                                 java.lang.Class<? extends JAbstractType> cls)

  Description copied from interface: `NodeConverter`
  Converts the specified abstract type to an instance of the given class and returns the converted node. Original node must be removed from the tree, and returned node inserted in its place. All children of the removed node may be moved to the converted node if needed.

  Specified by:
    `convert` in interface `NodeConverter`
  Parameters:
    `abstractType` - type to convert
    `cls` - class of the converted node
  Returns:
    converted node

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.